commit:     a84824f537162b9ed6e06ff87fa45a1e8ae2920e
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 14 14:32:25 2016 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Oct 14 14:33:10 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a84824f5

dev-ruby/capybara: add 2.10.1

Package-Manager: portage-2.3.0

 dev-ruby/capybara/Manifest               |  1 +
 dev-ruby/capybara/capybara-2.10.1.ebuild | 46 ++++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/dev-ruby/capybara/Manifest b/dev-ruby/capybara/Manifest
index 8acdc0c..54cec6d 100644
--- a/dev-ruby/capybara/Manifest
+++ b/dev-ruby/capybara/Manifest
@@ -1,3 +1,4 @@
 DIST capybara-1.1.4.gem 72192 SHA256 
33073d7e4920a3e74c61ec46d1afe655eb0f3361187113c5e146df498e4611ed SHA512 
102738031281d0fabd645fa6d941cf0a9ddd56f90d53d7cc1c8a7b03a37b6af8f4cddd178e6fc07d6751a539a5039cf20502eabdd49e8001793601bb312b47a3
 WHIRLPOOL 
81eff318acfdc0806c9f8d4e212068edd57694d44db1e29bbefaa7a4db162f3a2354374d6ab97ad7c2372ff9e6f6bb864ed483050facad5c298c2223a39c63cc
+DIST capybara-2.10.1.gem 242688 SHA256 
f6ad4dc40a84f2d90b8625816f25cd53bf15e34b0af02754aa6dc736ed58aab7 SHA512 
dcb38b7350dfcee0a6d38711eb80e661fe783c0d04adc41e8b156029189e8a9e12beac0b874886209399c1fb12a70a1f0e1be413715d73b908502cfbbd16c758
 WHIRLPOOL 
f3aba8e2261bdd1997287daedc035fcdb832b5f61881fc525db302679b351043be41322f7e61a6d2893852813e337a841dc8b8c63cba968fe166eb8af137119a
 DIST capybara-2.8.1.gem 234496 SHA256 
72ce8c0cf65368e9ebd72beaf3bd1499d2f8d486d260c1d66493cc8779fa7cca SHA512 
efd1807a93bdb15b5ed67f19370d2381d7f22d06233298194254b314240aada2c41fbb722dfff5c136cb6f7591559bed9823b35b1ac0a2f16ebfb160f3b559a7
 WHIRLPOOL 
50fe91119dc09249bde46bdf6f7c3dd9567566573e211ff3d9afdf7420f55ba449cbc98d57e663d211dc2cd3674464da7f544234e3c92365763106a27c4b1b6a
 DIST capybara-2.9.2.gem 241152 SHA256 
110eb88b1a4111a383e71c7f27e216609ce84d4b00ed213c07b895939a3fe5c3 SHA512 
fa7e8408ff81e858a05925f91e80500dfffb48c7761ea9526f8ca45b49d72a8ba607202aa6c0668fe2e58cd312177d998e21d64e2dc31f02d725d7ec3aa85da0
 WHIRLPOOL 
cbd02ea1dfac91ac3cfb8115eab3b660a2be05f800cdd52da348d349da8837825e7ef06fb02b91a88b98fc2da6cc795f77bcc1dbef57d085970da68a6ca6b7e7

diff --git a/dev-ruby/capybara/capybara-2.10.1.ebuild 
b/dev-ruby/capybara/capybara-2.10.1.ebuild
new file mode 100644
index 00000000..8faf2c6
--- /dev/null
+++ b/dev-ruby/capybara/capybara-2.10.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_EXTRADOC="History.md README.md"
+
+# Rake tasks are not distributed in the gem.
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_TASK_TEST=""
+
+inherit virtualx ruby-fakegem
+
+DESCRIPTION="Capybara aims to simplify the process of integration testing Rack 
applications"
+HOMEPAGE="https://github.com/jnicklas/capybara";
+LICENSE="MIT"
+
+KEYWORDS="~amd64"
+SLOT="2"
+IUSE="test"
+
+DEPEND="${DEPEND} test? ( www-client/firefox )"
+
+ruby_add_bdepend "test? ( dev-ruby/rspec:3 dev-ruby/launchy 
>=dev-ruby/selenium-webdriver-2.0 dev-ruby/sinatra )"
+
+ruby_add_rdepend "
+       dev-ruby/addressable
+       >=dev-ruby/mime-types-1.16:*
+       >=dev-ruby/nokogiri-1.3.3
+       >=dev-ruby/rack-1.0.0:*
+       >=dev-ruby/rack-test-0.5.4
+       >=dev-ruby/xpath-2.0.0:2"
+
+all_ruby_prepare() {
+       sed -i -e '/bundler/d' -e '/pry/d' -e '1igem "sinatra"' 
spec/spec_helper.rb || die
+
+       # Avoid window-manager specific tests (sizes are specific for fluxbox)
+       sed -i -e '/#maximize/,/^  end/ s:^:#:' 
lib/capybara/spec/session/window/window_spec.rb || die
+}
+
+each_ruby_test() {
+       VIRTUALX_COMMAND=${RUBY}
+       virtualmake -Ilib -S rspec-3 spec || die "Tests failed."
+}

Reply via email to